// creator  : weidu.exe (version 23100)
// argument : DOUG.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DOUG~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 19 20 even though they appear after this state */
~!Name("Mazzy",LastTalkedToBy)
!Range("Mazzy",15)
Global("GorfBystander","GLOBAL",4)
Global("GorfXDoug","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #24058 /* ~Hello, I am Festule the Alchemist.  I hear your friend is fighting Gorf the Squisher. I'm sure she's strong, but without help she will surely be squished.~ */
  IF ~~ THEN REPLY #24059 /* ~Try hearing this: 'MIND YOUR OWN BUSINESS'!~ */ GOTO 1
  IF ~~ THEN REPLY #24060 /* ~Exactly what kind of assistance would she need?~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 16.0 0.0
  SAY #24061 /* ~As you will. I was only being friendly.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 16.1 0.1
  SAY #24062 /* ~Well, as it happens, I traffic in pharmaceuticals.  Your miniature warrior could use a bit of chemical assistance.~ */
  IF ~~ THEN REPLY #24063 /* ~I hardly think that I should drug poor Mazzy!~ */ GOTO 3
  IF ~~ THEN REPLY #24064 /* ~Are you suggesting that we cheat?~ */ GOTO 4
  IF ~~ THEN REPLY #24065 /* ~Perhaps she could use a bit of chemical backing. But where could I find such help...~ */ GOTO 8
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #24066 /* ~No! Of course not! But Gorf, on the other hand...~ */
  IF ~~ THEN REPLY #24067 /* ~I see. What did you have in mind?~ */ GOTO 5
  IF ~~ THEN REPLY #24068 /* ~Surely you don't suggest that we cheat?~ */ GOTO 4
  IF ~~ THEN REPLY #24069 /* ~I'm not interested, scum! Get out of my sight before I get the urge to rough you up.~ */ GOTO 10
END

IF ~~ THEN BEGIN 4 // from: 9.1 3.1 2.1
  SAY #24070 /* ~No!  But suppose a turnip farmer off to market is beset by a bandit. This farmer hurls turnips at the bandit's groin. You wouldn't call that cheating.~ */
  IF ~~ THEN REPLY #24071 /* ~No, I suppose not.~ */ GOTO 6
  IF ~~ THEN REPLY #24072 /* ~Yes, I would. As they say 'It is better to die than to save your life with turnip'.~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 3.0
  SAY #24073 /* ~Some unsavory alchemists make drugs that duplicate the feeling of drunkenness.  Dropped in mead it makes the recipient instantly drunk...~ */
  IF ~~ THEN REPLY #24074 /* ~Go on.~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0 4.0
  SAY #24075 /* ~Now suppose there is an innocent halfling who just wanted to pit-fight. But an ogre stood in her way.  It's not cheating to even up the odds a bit, is it?~ */
  IF ~~ THEN REPLY #24076 /* ~But it is cheating! It's called the introduction of a foreign object.~ */ GOTO 9
  IF ~~ THEN REPLY #24077 /* ~If you put it that way, I suppose not. What did you have in mind?~ */ GOTO 8
END

IF ~~ THEN BEGIN 7 // from: 4.1
  SAY #24078 /* ~They don't really say that, do they?~ */
  IF ~~ THEN REPLY #24079 /* ~No.~ */ GOTO 10
END

IF ~~ THEN BEGIN 8 // from: 9.0 6.1 2.2
  SAY #24080 /* ~I just MAY have some of said drug in my cloak pocket. If only I had some gold to dislodge it. It's quite a tight fit in there.~ */
  IF ~~ THEN REPLY #24081 /* ~How much gold would it take to 'loosen' the aforementioned bottle?~ */ GOTO 11
  IF ~~ THEN REPLY #24082 /* ~Sorry, Festule. I don't have any money to spend.~ */ GOTO 12
END

IF ~~ THEN BEGIN 9 // from: 6.0
  SAY #24083 /* ~It's not foreign! It's made in the backroom of this very establishment, or, uh, so I've heard.~ */
  IF ~~ THEN REPLY #24084 /* ~Well why didn't you say so? Let's get down to business. What did you have in mind?~ */ GOTO 8
  IF ~~ THEN REPLY #24085 /* ~I can't be a party to cheating.~ */ GOTO 4
END

IF ~~ THEN BEGIN 10 // from: 7.0 3.2
  SAY #24086 /* ~You are beyond hope, my friend.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 15.1 8.0
  SAY #24087 /* ~It's a big bottle. I'd guess that 500 gold would do it.~ */
  IF ~~ THEN REPLY #24088 /* ~Are you crazy? 500 gold? There is no way that I'll pay such a ridiculous price.~ */ GOTO 12
  IF ~PartyGoldGT(400)~ THEN REPLY #24089 /* ~It can't be that big. I'm sure that if we pulled at it, 300 gold would suffice.~ */ GOTO 13
  IF ~PartyGoldLT(400)~ THEN REPLY #24090 /* ~I seem to be little low on funds today. Couldn't we work something out?~ */ GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 15.0 13.1 11.2 11.0 8.1
  SAY #24091 /* ~Why don't you return when you've made some money? Perhaps you could pit-fight for the funds. Surly pays a bit to the winners of the dog fights.~ */
  IF ~~ THEN DO ~SetGlobal("GorfXDoug","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 11.1
  SAY #24092 /* ~If you're really strong maybe 400 gold could dislodge it.~ */
  IF ~PartyGoldGT(399)~ THEN REPLY #24093 /* ~Agreed.~ */ GOTO 14
  IF ~~ THEN REPLY #24094 /* ~That's a bit too steep.~ */ GOTO 12
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #24095 /* ~Nice to do business with you. Good luck slipping the drug to Gorf. Perhaps his girl, Bunkin would be the route to employ.~ */
  IF ~~ THEN DO ~TakePartyGold(400)
DestroyGold(400)
CreateItem("potn53",0,0,0)
GiveItem("potn53",[PC])
SetGlobal("GorfXDoug","GLOBAL",2)~ UNSOLVED_JOURNAL #34669 /* ~Mazzy has challenged Gorf the Squisher.

I have acquired a potion from a fellow named Festule the Alchemist to help fight against the ogre.  I now have to somehow arrange to have Gorf drink the potion before the fight... Festule suggested that I speak to Bunkin, Gorf's main squeeze.~ */ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 19 20 even though they appear after this state */
~Global("GorfXDoug","GLOBAL",1)~ THEN BEGIN 15 // from:
  SAY #24096 /* ~Do you have the money now?~ */
  IF ~~ THEN REPLY #24097 /* ~Not yet.~ */ GOTO 12
  IF ~~ THEN REPLY #24098 /* ~Yes, but we need to negotiate the price.~ */ GOTO 11
END

IF ~~ THEN BEGIN 16 // from:
  SAY #24099 /* ~I couldn't help but hear your little friend plans to fight Gorf the Invincible. I'm sure she's very strong, but without assistance she will surely be squished.~ */
  IF ~~ THEN REPLY #24100 /* ~Maybe you can't help hearing this: 'MIND YOUR OWN BUSINESS'!~ */ GOTO 1
  IF ~~ THEN REPLY #24101 /* ~Exactly what kind of assistance would she need?~ */ GOTO 2
END

IF WEIGHT #4 /* Triggers after states #: 19 20 even though they appear after this state */
~Global("GorfXDoug","GLOBAL",2)~ THEN BEGIN 17 // from:
  SAY #24102 /* ~Rather than jabbering to me, you should be looking into slipping that drug to Gorf. Perhaps his girl, Bunkin would be the route to employ.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 19 20 even though they appear after this state */
~True()~ THEN BEGIN 18 // from:
  SAY #24103 /* ~I can do nothing more to assist you.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Name("Mazzy",LastTalkedToBy)~ THEN BEGIN 19 // from:
  SAY #61221 /* ~Ho-hum... never mind me, pretty halfling.  Just standing about, innocent bystander-like.  Nothing to see, here.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~!Name("Mazzy",LastTalkedToBy)
Range("Mazzy",15)~ THEN BEGIN 20 // from:
  SAY #61222 /* ~Hmmm... you know, I can probably help your Gorf situation... but not with the halfling within ear-shot, if you take my meaning...~ */
  IF ~~ THEN EXIT
END
